
%global pkg_name ConfigFile
%global pkgver %{pkg_name}-%{version}

Name:           ghc-%{pkg_name}
Version:        1.1.4
Release:    2%{?dist}
Summary:        Configuration file reading and writing

License:        BSD-3-Clause or LGPL-2.1-or-later
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkgver}/%{pkg_name}.cabal#/%{pkgver}.cabal

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-MissingH-devel
BuildRequires:  ghc-base-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-parsec-devel
%if %{with ghc_prof}
BuildRequires:  ghc-MissingH-prof
BuildRequires:  ghc-base-prof
BuildRequires:  ghc-containers-prof
BuildRequires:  ghc-mtl-prof
BuildRequires:  ghc-parsec-prof
%endif

%description
Parser and writer for handling sectioned config files in Haskell.

The ConfigFile module works with configuration files in a standard format that
is easy for the user to edit, easy for the programmer to work with, yet remains
powerful and flexible. It is inspired by, and compatible with, Python's
ConfigParser module. It uses files that resemble Windows .INI-style files, but
with numerous improvements.

ConfigFile provides simple calls to both read and write config files.
It's possible to make a config file parsable by this module, the Unix shell,
and make.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-static = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
%endif
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%if %{with haddock}
%package doc
Summary:        Haskell %{pkg_name} library documentation
BuildArch:      noarch
Requires:       ghc-filesystem

%description doc
This package provides the Haskell %{pkg_name} library documentation.
%endif


%if %{with ghc_prof}
%package prof
Summary:        Haskell %{pkg_name} profiling library
Requires:       %{name}-devel = %{version}-%{release}
Supplements:    (%{name}-devel and ghc-prof)

%description prof
This package provides the Haskell %{pkg_name} profiling library.
%endif


%prep
%setup -q -n %{pkgver}
cp -bp %{SOURCE1} %{pkg_name}.cabal


%build
%ghc_lib_build


%install
%ghc_lib_install


%files -f %{name}.files
%license COPYRIGHT
%license LGPL-2.1


%files devel -f %{name}-devel.files
%doc README


%if %{with haddock}
%files doc -f %{name}-doc.files
%license COPYRIGHT
%endif


%if %{with ghc_prof}
%files prof -f %{name}-prof.files
%endif


%changelog
* Thu Jun 05 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.1.4-2
- Rebuilt for loongarch64

* Thu Aug 08 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.4-1
- initial build
